## trojan 1.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(trojan)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()
set(CMAKE_CXX_STANDARD 11)
if(NOT MSVC)
    add_definitions(-Wall -Wextra)
endif()
set(THREADS_PREFER_PTHREAD_FLAG ON)
add_executable(trojan
    src/authenticator.cpp
    src/clientsession.cpp
    src/config.cpp
    src/forwardsession.cpp
    src/log.cpp
    src/main.cpp
    src/serversession.cpp
    src/service.cpp
    src/session.cpp
    src/socks5address.cpp
    src/ssldefaults.cpp
    src/trojanrequest.cpp
    src/udppacket.cpp
    src/version.cpp)
find_package(Threads REQUIRED)
target_link_libraries(trojan ${CMAKE_THREAD_LIBS_INIT})
find_package(Boost 1.54.0 REQUIRED COMPONENTS system program_options)
include_directories(${Boost_INCLUDE_DIR})
target_link_libraries(trojan ${Boost_LIBRARIES})
if(MSVC)
    add_definitions(-DBOOST_DATE_TIME_NO_LIB)
endif()
find_package(OpenSSL 1.0.2 REQUIRED)
include_directories(${OPENSSL_INCLUDE_DIR})
target_link_libraries(trojan ${OPENSSL_LIBRARIES})
option(ENABLE_MYSQL "Build with MySQL support" ON)
if(ENABLE_MYSQL)
    find_package(MySQL REQUIRED)
    include_directories(${MYSQL_INCLUDE_DIR})
    target_link_libraries(trojan ${MYSQL_LIBRARIES})
    add_definitions(-DENABLE_MYSQL)
endif()
if(WIN32)
    target_link_libraries(trojan wsock32 ws2_32 crypt32)
else()
    set(SYSTEMD_SERVICE AUTO CACHE STRING "Install systemd service")
    set_property(CACHE SYSTEMD_SERVICE PROPERTY STRINGS AUTO ON OFF)
    set(SYSTEMD_SERVICE_PATH /lib/systemd/system CACHE PATH "Systemd service path")
    include(GNUInstallDirs)
    install(TARGETS trojan DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(FILES examples/server.json-example DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/trojan RENAME config.json)
    install(FILES docs/trojan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    install(DIRECTORY docs/ DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.md")
    install(DIRECTORY examples DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.json-example")
    if(SYSTEMD_SERVICE STREQUAL AUTO)
        if(EXISTS /usr/lib/systemd/system)
            set(SYSTEMD_SERVICE ON)
            set(SYSTEMD_SERVICE_PATH /usr/lib/systemd/system CACHE PATH "Systemd service path" FORCE)
        elseif(EXISTS /lib/systemd/system)
            set(SYSTEMD_SERVICE ON)
            set(SYSTEMD_SERVICE_PATH /lib/systemd/system CACHE PATH "Systemd service path" FORCE)
        endif()
    endif()
    if(SYSTEMD_SERVICE STREQUAL ON)
        set(CONFIG_NAME config)
        configure_file(examples/trojan.service-example trojan.service)
        set(CONFIG_NAME %i)
        configure_file(examples/trojan.service-example trojan@.service)
        install(FILES ${CMAKE_BINARY_DIR}/trojan.service ${CMAKE_BINARY_DIR}/trojan@.service DESTINATION ${SYSTEMD_SERVICE_PATH})
    endif()
    enable_testing()
    add_test(NAME LinuxSmokeTest-basic
             COMMAND sh ${CMAKE_SOURCE_DIR}/tests/LinuxSmokeTest/basic.sh ${CMAKE_BINARY_DIR}/trojan
             WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests/LinuxSmokeTest)
    add_test(NAME LinuxSmokeTest-fake-client
             COMMAND sh ${CMAKE_SOURCE_DIR}/tests/LinuxSmokeTest/fake-client.sh ${CMAKE_BINARY_DIR}/trojan
             WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests/LinuxSmokeTest)
endif()

=== debian/changelog ===
trojan (1.7.0-2) unstable; urgency=low

  * Elaborate package description so that it's more objective (Closes: #908338)

 -- GreaterFire <GreaterFire@protonmail.com>  Sat, 08 Sep 2018 20:52:18 +0000

trojan (1.7.0-1) unstable; urgency=low

  * Initial release (Closes: #905046)

 -- GreaterFire <GreaterFire@protonmail.com>  Wed, 05 Sep 2018 17:46:30 +0000

=== debian/control ===
Source: trojan
Section: web
Priority: optional
Maintainer: GreaterFire <GreaterFire@protonmail.com>
Build-Depends: debhelper (>= 11), cmake, libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
Standards-Version: 4.2.1.1
Vcs-Browser: https://salsa.debian.org/debian/trojan
Vcs-Git: https://salsa.debian.org/debian/trojan.git
Homepage: https://github.com/trojan-gfw/trojan

Package: trojan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates
Suggests: default-mysql-server
Description: fast and lightweight proxy that helps you bypass firewalls
 Trojan features multiple protocols over TLS to avoid both active/passive
 detections and ISP QoS limitations. It tries to hide a proxy service
 behind a normal HTTPS service. Trojan claims to be unidentifiable.

=== debian/tests/control ===
Tests: smoke
Depends: trojan, git, openssl, python3, curl

## trojan 1.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
     src/session.cpp
     src/socks5address.cpp
     src/ssldefaults.cpp
+    src/sslsession.cpp
     src/trojanrequest.cpp
     src/udppacket.cpp
     src/version.cpp)

=== debian/changelog ===
trojan (1.8.0-1) unstable; urgency=medium

  * Sponsored upload.
  * New upstream release 1.8.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Wed, 19 Sep 2018 10:47:41 -0400

trojan (1.7.0-3) unstable; urgency=medium

  * Fix autotest

 -- GreaterFire <GreaterFire@protonmail.com>  Sun, 09 Sep 2018 15:25:07 +0000

## trojan 1.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
     include(GNUInstallDirs)
     install(TARGETS trojan DESTINATION ${CMAKE_INSTALL_BINDIR})
     install(FILES examples/server.json-example DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/trojan RENAME config.json)
+    add_definitions(-DDEFAULT_CONFIG="${CMAKE_INSTALL_FULL_SYSCONFDIR}/trojan/config.json")
     install(FILES docs/trojan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
     install(DIRECTORY docs/ DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.md")
     install(DIRECTORY examples DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.json-example")

=== debian/changelog ===
trojan (1.8.1-1) unstable; urgency=medium

  * New upstream release 1.8.1.
  * Fix lintian tag systemd-service-file-missing-documentation-key.

 -- GreaterFire <GreaterFire@protonmail.com>  Fri, 05 Oct 2018 19:21:55 +0000

## trojan 1.9.0

=== debian/changelog ===
trojan (1.9.0-1) unstable; urgency=medium

  * New upstream release 1.9.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Sat, 20 Oct 2018 03:34:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: GreaterFire <GreaterFire@protonmail.com>
-Build-Depends: debhelper (>= 11), cmake, libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
-Standards-Version: 4.2.1.1
+Build-Depends: debhelper (>= 11), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
+Standards-Version: 4.2.1.2
 Vcs-Browser: https://salsa.debian.org/debian/trojan
 Vcs-Git: https://salsa.debian.org/debian/trojan.git
 Homepage: https://github.com/trojan-gfw/trojan

## trojan 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.7.2)
 project(trojan)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 if(NOT CMAKE_BUILD_TYPE)
@@ -36,12 +36,22 @@
 find_package(OpenSSL 1.0.2 REQUIRED)
 include_directories(${OPENSSL_INCLUDE_DIR})
 target_link_libraries(trojan ${OPENSSL_LIBRARIES})
+if(OPENSSL_VERSION VERSION_GREATER_EQUAL 1.1.1)
+    option(ENABLE_SSL_KEYLOG "Build with SSL KeyLog support" ON)
+    if(ENABLE_SSL_KEYLOG)
+        add_definitions(-DENABLE_SSL_KEYLOG)
+    endif()
+endif()
 option(ENABLE_MYSQL "Build with MySQL support" ON)
 if(ENABLE_MYSQL)
     find_package(MySQL REQUIRED)
     include_directories(${MYSQL_INCLUDE_DIR})
     target_link_libraries(trojan ${MYSQL_LIBRARIES})
     add_definitions(-DENABLE_MYSQL)
+endif()
+option(FORCE_TCP_FASTOPEN "Force build with TCP Fast Open support" OFF)
+if(FORCE_TCP_FASTOPEN)
+    add_definitions(-DTCP_FASTOPEN=23 -DTCP_FASTOPEN_CONNECT=30)
 endif()
 if(WIN32)
     target_link_libraries(trojan wsock32 ws2_32 crypt32)

=== debian/changelog ===
trojan (1.10.0-3) unstable; urgency=high

  * Fix a serious memory bug: boost::asio::async_write doesn't copy the data in
    the buffer, so the underlying data have to remain available until the
    callback is called.

 -- GreaterFire <GreaterFire@protonmail.com>  Tue, 23 Apr 2019 16:55:30 +0000

trojan (1.10.0-2) unstable; urgency=high

  * Fix a file descriptor leak when the remote endpoint closes the TCP
    connection before the local SSL session is closed.

 -- GreaterFire <GreaterFire@protonmail.com>  Sun, 17 Mar 2019 06:01:42 +0000

trojan (1.10.0-1) unstable; urgency=medium

  * New upstream release 1.10.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Tue, 15 Jan 2019 04:19:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: GreaterFire <GreaterFire@protonmail.com>
 Build-Depends: debhelper (>= 11), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
-Standards-Version: 4.2.1.2
+Standards-Version: 4.3.0.3
 Vcs-Browser: https://salsa.debian.org/debian/trojan
 Vcs-Git: https://salsa.debian.org/debian/trojan.git
 Homepage: https://github.com/trojan-gfw/trojan

=== debian/tests/control ===
Test-Command: cd tests/LinuxSmokeTest && ./basic.sh /usr/bin/trojan
Restrictions: allow-stderr isolation-container
Depends: trojan, openssl, python3, curl

Test-Command: cd tests/LinuxSmokeTest && ./fake-client.sh /usr/bin/trojan
Restrictions: allow-stderr isolation-container
Depends: trojan, openssl, python3, curl

## trojan 1.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,12 @@
     src/ssldefaults.cpp
     src/sslsession.cpp
     src/trojanrequest.cpp
+    src/udpforwardsession.cpp
     src/udppacket.cpp
     src/version.cpp)
 find_package(Threads REQUIRED)
 target_link_libraries(trojan ${CMAKE_THREAD_LIBS_INIT})
-find_package(Boost 1.54.0 REQUIRED COMPONENTS system program_options)
+find_package(Boost 1.66.0 REQUIRED COMPONENTS system program_options)
 include_directories(${Boost_INCLUDE_DIR})
 target_link_libraries(trojan ${Boost_LIBRARIES})
 if(MSVC)

=== debian/changelog ===
trojan (1.12.3-1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:06:42 +0000

trojan (1.12.3-1) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.0.

  [ GreaterFire ]
  * New upstream release 1.12.3.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2019 11:54:48 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: GreaterFire <GreaterFire@protonmail.com>
-Build-Depends: debhelper (>= 11), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
-Standards-Version: 4.3.0.3
+Build-Depends: debhelper-compat (= 12), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/trojan
 Vcs-Git: https://salsa.debian.org/debian/trojan.git
 Homepage: https://github.com/trojan-gfw/trojan

## trojan 1.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(trojan)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()
set(CMAKE_CXX_STANDARD 11)
if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
else()
    add_definitions(-Wall -Wextra)
endif()

add_executable(trojan
    src/core/authenticator.cpp
    src/core/config.cpp
    src/core/log.cpp
    src/core/service.cpp
    src/core/version.cpp
    src/main.cpp
    src/proto/socks5address.cpp
    src/proto/trojanrequest.cpp
    src/proto/udppacket.cpp
    src/session/clientsession.cpp
    src/session/forwardsession.cpp
    src/session/natsession.cpp
    src/session/serversession.cpp
    src/session/session.cpp
    src/session/udpforwardsession.cpp
    src/ssl/ssldefaults.cpp
    src/ssl/sslsession.cpp)
include_directories(src)

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
target_link_libraries(trojan ${CMAKE_THREAD_LIBS_INIT})

find_package(Boost 1.66.0 REQUIRED COMPONENTS system program_options)
include_directories(${Boost_INCLUDE_DIR})
target_link_libraries(trojan ${Boost_LIBRARIES})
if(MSVC)
    add_definitions(-DBOOST_DATE_TIME_NO_LIB)
endif()

find_package(OpenSSL 1.0.2 REQUIRED)
include_directories(${OPENSSL_INCLUDE_DIR})
target_link_libraries(trojan ${OPENSSL_LIBRARIES})
if(OPENSSL_VERSION VERSION_GREATER_EQUAL 1.1.1)
    option(ENABLE_SSL_KEYLOG "Build with SSL KeyLog support" ON)
    if(ENABLE_SSL_KEYLOG)
        add_definitions(-DENABLE_SSL_KEYLOG)
    endif()
endif()

option(ENABLE_MYSQL "Build with MySQL support" ON)
if(ENABLE_MYSQL)
    find_package(MySQL REQUIRED)
    include_directories(${MYSQL_INCLUDE_DIR})
    target_link_libraries(trojan ${MYSQL_LIBRARIES})
    add_definitions(-DENABLE_MYSQL)
endif()

option(FORCE_TCP_FASTOPEN "Force build with TCP Fast Open support" OFF)
if(FORCE_TCP_FASTOPEN)
    add_definitions(-DTCP_FASTOPEN=23 -DTCP_FASTOPEN_CONNECT=30)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
    option(ENABLE_NAT "Build with NAT support" ON)
    if(ENABLE_NAT)
        add_definitions(-DENABLE_NAT)
    endif()
endif()

if(WIN32)
    target_link_libraries(trojan wsock32 ws2_32 crypt32)
else()
    set(SYSTEMD_SERVICE AUTO CACHE STRING "Install systemd service")
    set_property(CACHE SYSTEMD_SERVICE PROPERTY STRINGS AUTO ON OFF)
    set(SYSTEMD_SERVICE_PATH /lib/systemd/system CACHE PATH "Systemd service path")
    if(SYSTEMD_SERVICE STREQUAL AUTO)
        if(EXISTS /usr/lib/systemd/system)
            set(SYSTEMD_SERVICE ON)
            set(SYSTEMD_SERVICE_PATH /usr/lib/systemd/system CACHE PATH "Systemd service path" FORCE)
        elseif(EXISTS /lib/systemd/system)
            set(SYSTEMD_SERVICE ON)
            set(SYSTEMD_SERVICE_PATH /lib/systemd/system CACHE PATH "Systemd service path" FORCE)
        endif()
    endif()

    include(GNUInstallDirs)
    install(TARGETS trojan DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(FILES examples/server.json-example DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/trojan RENAME config.json)
    set(DEFAULT_CONFIG ${CMAKE_INSTALL_FULL_SYSCONFDIR}/trojan/config.json CACHE STRING "Default config path")
    add_definitions(-DDEFAULT_CONFIG="${DEFAULT_CONFIG}")
    install(FILES docs/trojan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    install(DIRECTORY docs/ DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.md")
    install(DIRECTORY examples DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.json-example")
    if(SYSTEMD_SERVICE STREQUAL ON)
        set(CONFIG_NAME config)
        configure_file(examples/trojan.service-example trojan.service)
        set(CONFIG_NAME %i)
        configure_file(examples/trojan.service-example trojan@.service)
        install(FILES ${CMAKE_BINARY_DIR}/trojan.service ${CMAKE_BINARY_DIR}/trojan@.service DESTINATION ${SYSTEMD_SERVICE_PATH})
    endif()

    enable_testing()
    add_test(NAME LinuxSmokeTest-basic
             COMMAND bash ${CMAKE_SOURCE_DIR}/tests/LinuxSmokeTest/basic.sh ${CMAKE_BINARY_DIR}/trojan)
    add_test(NAME LinuxSmokeTest-fake-client
             COMMAND bash ${CMAKE_SOURCE_DIR}/tests/LinuxSmokeTest/fake-client.sh ${CMAKE_BINARY_DIR}/trojan)
endif()

## trojan 1.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,13 +43,18 @@
     add_definitions(-DBOOST_DATE_TIME_NO_LIB)
 endif()
 
-find_package(OpenSSL 1.0.2 REQUIRED)
+find_package(OpenSSL 1.1.0 REQUIRED)
 include_directories(${OPENSSL_INCLUDE_DIR})
 target_link_libraries(trojan ${OPENSSL_LIBRARIES})
 if(OPENSSL_VERSION VERSION_GREATER_EQUAL 1.1.1)
     option(ENABLE_SSL_KEYLOG "Build with SSL KeyLog support" ON)
     if(ENABLE_SSL_KEYLOG)
         add_definitions(-DENABLE_SSL_KEYLOG)
+    endif()
+
+    option(ENABLE_TLS13_CIPHERSUITES "Build with TLS1.3 Ciphersuites" ON)
+    if(ENABLE_TLS13_CIPHERSUITES)
+        add_definitions(-DENABLE_TLS13_CIPHERSUITES)
     endif()
 endif()
 
@@ -71,6 +76,17 @@
     if(ENABLE_NAT)
         add_definitions(-DENABLE_NAT)
     endif()
+
+    option(ENABLE_REUSE_PORT "Build with REUSE_PORT support" ON)
+    if(ENABLE_REUSE_PORT)
+        add_definitions(-DENABLE_REUSE_PORT)
+    endif()
+endif()
+
+if(APPLE)
+    find_library(CoreFoundation CoreFoundation)
+    find_library(Security Security)
+    target_link_libraries(trojan ${CoreFoundation} ${Security})
 endif()
 
 if(WIN32)

=== debian/changelog ===
trojan (1.14.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild to circumvent piuparts bug and get the package
    migrated to Testing.
  * debian/control: Build-depend on python3:any. 

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2020 18:38:45 -0500

trojan (1.14.0-1) unstable; urgency=medium

  * New upstream release 1.14.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Fri, 27 Dec 2019 23:19:07 +0000

trojan (1.13.0-1) unstable; urgency=medium

  * New upstream release 1.13.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Tue, 01 Oct 2019 20:54:43 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: GreaterFire <GreaterFire@protonmail.com>
-Build-Depends: debhelper-compat (= 12), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3:any, curl, netcat-openbsd
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/trojan
 Vcs-Git: https://salsa.debian.org/debian/trojan.git
 Homepage: https://github.com/trojan-gfw/trojan
+Rules-Requires-Root: no
 
 Package: trojan
 Architecture: any

## trojan 1.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
         add_definitions(-DENABLE_SSL_KEYLOG)
     endif()
 
-    option(ENABLE_TLS13_CIPHERSUITES "Build with TLS1.3 Ciphersuites" ON)
+    option(ENABLE_TLS13_CIPHERSUITES "Build with TLS1.3 ciphersuites support" ON)
     if(ENABLE_TLS13_CIPHERSUITES)
         add_definitions(-DENABLE_TLS13_CIPHERSUITES)
     endif()
@@ -77,7 +77,7 @@
         add_definitions(-DENABLE_NAT)
     endif()
 
-    option(ENABLE_REUSE_PORT "Build with REUSE_PORT support" ON)
+    option(ENABLE_REUSE_PORT "Build with SO_REUSEPORT support" ON)
     if(ENABLE_REUSE_PORT)
         add_definitions(-DENABLE_REUSE_PORT)
     endif()

=== debian/changelog ===
trojan (1.14.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Jan 2020 00:24:02 -0500

trojan (1.14.1-1) unstable; urgency=medium

  * New upstream release 1.14.1.

 -- GreaterFire <GreaterFire@protonmail.com>  Fri, 24 Jan 2020 06:50:58 +0000

## trojan 1.15.1

=== debian/changelog ===
trojan (1.15.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- GreaterFire <GreaterFire@protonmail.com>  Wed, 25 Mar 2020 05:43:29 +0000

trojan (1.15.1-1) unstable; urgency=medium

  * New upstream release 1.15.1.

 -- GreaterFire <GreaterFire@protonmail.com>  Wed, 25 Mar 2020 05:43:28 +0000

trojan (1.15.0-1) unstable; urgency=medium

  * New upstream release 1.15.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Mon, 23 Mar 2020 23:37:46 +0000

## trojan 1.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7.2)
-project(trojan)
+project(trojan CXX)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 if(NOT CMAKE_BUILD_TYPE)

=== debian/changelog ===
trojan (1.16.0-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:08 +1100

trojan (1.16.0-1build4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:07:46 +0000

trojan (1.16.0-1build3) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:57:03 +0100

trojan (1.16.0-1build2) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:21:44 +0000

trojan (1.16.0-1build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:13:17 +0100

trojan (1.16.0-1) unstable; urgency=medium

  * New upstream release 1.16.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Fri, 12 Jun 2020 19:23:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: trojan
 Section: web
 Priority: optional
-Maintainer: GreaterFire <GreaterFire@protonmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: GreaterFire <GreaterFire@protonmail.com>
 Build-Depends: debhelper-compat (= 12), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3:any, curl, netcat-openbsd
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/trojan
 Vcs-Git: https://salsa.debian.org/debian/trojan.git
 Homepage: https://github.com/trojan-gfw/trojan

=== debian/tests/control ===
Test-Command: tests/LinuxSmokeTest/basic.sh /usr/bin/trojan
Restrictions: allow-stderr isolation-container
Depends: trojan, openssl, python3, curl, netcat-openbsd

Test-Command: tests/LinuxSmokeTest/fake-client.sh /usr/bin/trojan
Restrictions: allow-stderr isolation-container
Depends: trojan, openssl, python3, curl, netcat-openbsd
